import 'package:flutter/material.dart';

import 'package:anyway/constants.dart';
import 'package:anyway/utils/get_first_page.dart';
import 'package:anyway/utils/load_trips.dart';


void main() => runApp(const App());

// Some global variables
final GlobalKey<ScaffoldMessengerState> rootScaffoldMessengerKey = GlobalKey<ScaffoldMessengerState>();
final SavedTrips savedTrips = SavedTrips();
// the list of saved trips is then populated implicitly by getFirstPage()


class App extends StatelessWidget {
  const App({super.key});

  @override
  Widget build(BuildContext context) => MaterialApp(
    title: APP_NAME,
    home: getFirstPage(),
    theme: APP_THEME,
    scaffoldMessengerKey: rootScaffoldMessengerKey
  );
}
